io.vertx.ext.web.api.contract

## Class RouterFactoryOptions

- java.lang.Object
- - io.vertx.ext.web.api.contract.RouterFactoryOptions

- Deprecated.
  You should use the new module vertx-web-openapi

      @Deprecated
      public class RouterFactoryOptions
      extends Object

  Author:
    Francesco Guardiani @slinkydeveloper

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static boolean` | `DEFAULT_MOUNT_NOT_IMPLEMENTED_HANDLER` Deprecated. By default, RouterFactory mounts Not Implemented/Method Not Allowed handler
    `static boolean` | `DEFAULT_MOUNT_RESPONSE_CONTENT_TYPE_HANDLER` Deprecated. By default, RouterFactory will mount ResponseContentTypeHandler when required
    `static boolean` | `DEFAULT_MOUNT_VALIDATION_FAILURE_HANDLER` Deprecated. Router Factory won't manage the validation errors anymore. You must use `Router.errorHandler(int, Handler)` with 400 error
    `static String` | `DEFAULT_OPERATION_MODEL_KEY` Deprecated. By default, RouterFactory will not expose operation configuration in the the routing context
    `static boolean` | `DEFAULT_REQUIRE_SECURITY_HANDLERS` Deprecated. By default, RouterFactory requires security handlers to be defined while calling getRouter() or it will throw an Exception

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RouterFactoryOptions()` Deprecated.
    `RouterFactoryOptions(JsonObject json)` Deprecated.
    `RouterFactoryOptions(RouterFactoryOptions other)` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getOperationModelKey()` Deprecated.
    `boolean` | `isMountNotImplementedHandler()` Deprecated.
    `boolean` | `isMountResponseContentTypeHandler()` Deprecated.
    `boolean` | `isMountValidationFailureHandler()` Deprecated. Router Factory won't manage the validation errors anymore. You must use `Router.errorHandler(int, Handler)` with 400 error
    `boolean` | `isRequireSecurityHandlers()` Deprecated.
    `RouterFactoryOptions` | `setMountNotImplementedHandler(boolean mountOperationsWithoutHandler)` Deprecated. If true, Router Factory will automatically mount an handler that return HTTP 405/501 status code for each operation where you didn't specify an handler.
    `RouterFactoryOptions` | `setMountResponseContentTypeHandler(boolean mountResponseContentTypeHandler)` Deprecated. If true, when required, the factory will mount a `ResponseContentTypeHandler`
    `RouterFactoryOptions` | `setMountValidationFailureHandler(boolean mountGlobalValidationFailureHandler)` Deprecated. Router Factory won't manage the validation errors anymore. You must use `Router.errorHandler(int, Handler)` with 400 error
    `RouterFactoryOptions` | `setOperationModelKey(String operationModelKey)` Deprecated. When set, an additional handler will be created to expose the operation model in the routing context under the given key.
    `RouterFactoryOptions` | `setRequireSecurityHandlers(boolean requireSecurityHandlers)` Deprecated. If true, when you call `RouterFactory.getRouter()` the factory will mount for every path the required security handlers and, if a security handler is not defined, it throws an `RouterFactoryException`
    `JsonObject` | `toJson()` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_MOUNT_VALIDATION_FAILURE_HANDLER

          @Deprecated
          public static final boolean DEFAULT_MOUNT_VALIDATION_FAILURE_HANDLER

      Deprecated. Router Factory won't manage the validation errors anymore. You must use `Router.errorHandler(int, Handler)` with 400 error
      By default, RouterFactory doesn't mount validation failure handler
      See Also:
        Constant Field Values

    - #### DEFAULT_MOUNT_NOT_IMPLEMENTED_HANDLER

          public static final boolean DEFAULT_MOUNT_NOT_IMPLEMENTED_HANDLER

      Deprecated.
      By default, RouterFactory mounts Not Implemented/Method Not Allowed handler
      See Also:
        Constant Field Values

    - #### DEFAULT_REQUIRE_SECURITY_HANDLERS

          public static final boolean DEFAULT_REQUIRE_SECURITY_HANDLERS

      Deprecated.
      By default, RouterFactory requires security handlers to be defined while calling getRouter() or it will throw an Exception
      See Also:
        Constant Field Values

    - #### DEFAULT_MOUNT_RESPONSE_CONTENT_TYPE_HANDLER

          public static final boolean DEFAULT_MOUNT_RESPONSE_CONTENT_TYPE_HANDLER

      Deprecated.
      By default, RouterFactory will mount ResponseContentTypeHandler when required
      See Also:
        Constant Field Values

    - #### DEFAULT_OPERATION_MODEL_KEY

          public static final String DEFAULT_OPERATION_MODEL_KEY

      Deprecated.
      By default, RouterFactory will not expose operation configuration in the the routing context

  - ### Constructor Detail

    - #### RouterFactoryOptions

          public RouterFactoryOptions()

      Deprecated.

    - #### RouterFactoryOptions

          public RouterFactoryOptions(JsonObject json)

      Deprecated.

    - #### RouterFactoryOptions

          public RouterFactoryOptions(RouterFactoryOptions other)

      Deprecated.

  - ### Method Detail

    - #### toJson

          public JsonObject toJson()

      Deprecated.

    - #### isMountValidationFailureHandler

          @Deprecated
          public boolean isMountValidationFailureHandler()

      Deprecated. Router Factory won't manage the validation errors anymore. You must use `Router.errorHandler(int, Handler)` with 400 error
      Returns:

    - #### setMountValidationFailureHandler

          @Deprecated
          public RouterFactoryOptions setMountValidationFailureHandler(boolean mountGlobalValidationFailureHandler)

      Deprecated. Router Factory won't manage the validation errors anymore. You must use `Router.errorHandler(int, Handler)` with 400 error
      Enable or disable validation failure handler. If you enable it during router creation a failure handler that manages ValidationException will be mounted. You can change the validation failure handler with with function `RouterFactory.setValidationFailureHandler(Handler)`. If failure is different from ValidationException, next failure handler will be called.
      Parameters:
        `mountGlobalValidationFailureHandler` -
      Returns:
        this object

    - #### isMountNotImplementedHandler

          public boolean isMountNotImplementedHandler()

      Deprecated.

    - #### setMountNotImplementedHandler

          public RouterFactoryOptions setMountNotImplementedHandler(boolean mountOperationsWithoutHandler)

      Deprecated.
      If true, Router Factory will automatically mount an handler that return HTTP 405/501 status code for each operation where you didn't specify an handler. You can customize the response with `Router.errorHandler(int, Handler)`
      Parameters:
        `mountOperationsWithoutHandler` -
      Returns:
        this object

    - #### isRequireSecurityHandlers

          public boolean isRequireSecurityHandlers()

      Deprecated.

    - #### setRequireSecurityHandlers

          public RouterFactoryOptions setRequireSecurityHandlers(boolean requireSecurityHandlers)

      Deprecated.
      If true, when you call `RouterFactory.getRouter()` the factory will mount for every path the required security handlers and, if a security handler is not defined, it throws an `RouterFactoryException`
      Parameters:
        `requireSecurityHandlers` -
      Returns:
        this object

    - #### isMountResponseContentTypeHandler

          public boolean isMountResponseContentTypeHandler()

      Deprecated.

    - #### setMountResponseContentTypeHandler

          public RouterFactoryOptions setMountResponseContentTypeHandler(boolean mountResponseContentTypeHandler)

      Deprecated.
      If true, when required, the factory will mount a `ResponseContentTypeHandler`
      Parameters:
        `mountResponseContentTypeHandler` -
      Returns:

    - #### getOperationModelKey

          public String getOperationModelKey()

      Deprecated.

    - #### setOperationModelKey

          public RouterFactoryOptions setOperationModelKey(String operationModelKey)

      Deprecated.
      When set, an additional handler will be created to expose the operation model in the routing context under the given key. When the key is null, the handler is not added.
      Parameters:
        `operationModelKey` -
      Returns:

Copyright © 2021 Eclipse. All rights reserved.